### Method

# Gimp PlugIn extension_process

#### Declaration [src]

    void
    gimp_plug_in_extension_process (
      GimpPlugIn* plug_in,
      guint timeout
    )

#### Description [src]

Processes one message sent by GIMP and returns.

Call this function in an endless loop after calling `gimp_procedure_extension_ready()` to process requests for running temporary procedures.

See `gimp_plug_in_extension_enable()` for an asynchronous way of doing the same if running an endless loop is not an option.

See also: `gimp_plug_in_add_temp_procedure()`.

Available since: | 3.0

#### Parameters

`timeout` | `guint`
| The timeout (in ms) to use for the `select()` call.